<div class="flex flex-row justify-between items-center pl-5 xl:pl-4 mb-1">
  <ng-container *ngIf="price > 0; else consultPrice">
    <h2 class="block text-4xl font-bold text-gray-800 block mt-1 xl:mt-3 mb-1">
      {{ price | currency: 'EUR':'symbol':'3.0' }}
      <ng-container *ngIf="oldPrice > 0"
        ><span class="text-3xl">/</span>
        <span class="text-xl line-through text-gray-400">{{
          oldPrice | currency: 'EUR':'symbol':'3.0'
        }}</span></ng-container
      >
    </h2>
  </ng-container>
  <ng-template #consultPrice>
    <h2 class="block text-4xl font-bold text-gray-800 block mt-1 xl:mt-3 mb-1">
      Precio a consultar
    </h2>
  </ng-template>
  <div class="pr-2 sm:pr-0">
    <button
      class="text-sm mr-1 lg:mr-2 xl:mr-5 transition-all h-fit my-auto py-1.5 px-4 text-lg bg-white text-odb-400 rounded cursor-pointer hover:bg-odb-100 border-2 border-transparent"
    >
      <i class="bi sm:mr-2 text-xl bi-share"></i>
      <span class="hidden sm:inline">Compartir</span>
    </button>
  </div>
</div>
